Get run event
curl --request GET \
--url https://api.veryfront.com/runs/{run_id}/events/{event_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/runs/{run_id}/events/{event_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/runs/{run_id}/events/{event_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"event_id": 1,
"event_type": "<string>",
"payload": "<unknown>",
"is_error": true,
"created_at": "<string>",
"run_id": "<string>",
"event_class": "fact",
"span_id": "<string>",
"parent_span_id": "<string>",
"turn_id": "<string>",
"origin_event_type": "<string>",
"origin_custom_name": "<string>",
"unrecoverable_fields": [
"<string>"
],
"specversion": "1.0",
"id": "<string>",
"source": "<string>",
"type": "<string>",
"subject": "<string>",
"datacontenttype": "application/json",
"data": "<unknown>",
"runkind": "agent",
"time": "2023-11-07T05:31:56Z",
"dataschema": "<string>"
}Get run event
Returns a run event. Editors receive the full diagnostic payload. Viewers receive a sanitized public payload.
GET
/
runs
/
{run_id}
/
events
/
{event_id}
Get run event
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Response
Run event detail
Required range:
x >= 0Minimum string length:
1Minimum string length:
1Available options:
fact, delta Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Minimum string length:
1Available options:
1.0 The event id as a string; the cursor. Same value as event_id.
Minimum string length:
1/projects/{project_id}/runs/{run_id}, or /runs/{run_id} for a run outside a project.
Minimum string length:
1The event type. Same value as event_type.
Minimum string length:
1The id of the run that wrote the event.
Minimum string length:
1Available options:
application/json The event payload. Same value as payload.
The kind of the run that wrote the event.
Available options:
agent, workflow, task When the event was written, RFC 3339; absent for a legacy row without a valid time.
URL of the JSON Schema of data for this type; absent for a type without a published schema.